<StackLayout *ngIf="secret.id">
  <Label text="Name"></Label>
  <TextField [ngModel]="secret.name"></TextField>

  <Label text="URL"></Label>
  <TextField [ngModel]="secret.visible_data.url"></TextField>

  <Label text="Username"></Label>
  <StackLayout orientation="horizontal">
    <TextField [ngModel]="secret.visible_data.username"></TextField>
    <Button text="Copy" (tap)="copy(secret.visible_data.username)"></Button>
  </StackLayout>

  <Label text="Password"></Label>
  <StackLayout orientation="horizontal" *ngIf="passwordIsMasked">
    <TextField ngModel="********"></TextField>
    <Button text="Toggle" (tap)="toggleMaskedSecret()"></Button>
    <Button text="Copy" (tap)="copy(plaintextSecrets.password)"></Button>
  </StackLayout>
  <StackLayout orientation="horizontal" *ngIf="!passwordIsMasked">
    <TextField [ngModel]="plaintextSecrets.password"></TextField>
    <Button text="Toggle" (tap)="toggleMaskedSecret()"></Button>
    <Button text="Copy" (tap)="copy(plaintextSecrets.password)"></Button>
  </StackLayout>


  <Label text="Notes"></Label>
  <StackLayout orientation="horizontal" *ngIf="plaintextSecrets.notes">
    <TextView [ngModel]="plaintextSecrets.notes"></TextView>
  </StackLayout>

</StackLayout>
